Mantis Bug Tracker

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000632ForumAdministrationpublic2009-12-18 14:35
ReporterDar 
Assigned Toadministrator 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.6.7 
Target VersionFixed in Version0.7.2 
Summary0000632: how to get rid of the second "forums" in the browser
DescriptionOn the login page we have a second "forums" in the page title. How do I get rid of this?
TagsNo tags attached.
Attached Filesppt file icon ACS Discussion Forums Forums.ppt (201,728 bytes) 2009-11-16 17:26
jpg file icon forumerrorpic.jpg (63,051 bytes) 2009-12-08 17:28


? file icon forum_display.plb (164,465 bytes) 2009-12-09 10:12

- Relationships

-  Notes
~0001496
administrator (administrator)


Hello

The first forum is coming from the c_site_pagename constant. The second is hard coded in the package. I can raise a bug for this, but i will be fixed in 0.7.1

I "may" be able to create a fix for your version, but i really suggest you to upgrade to 0.7.1 that will be release this week i think
~0001503
Dar (reporter)


I have upgraded to 7.1 but am still getting the second "forum" on the page title.
~0001504
administrator (administrator)


Here is the fix you need (i do not have activate it in 0.7.1 (sorry)

so you have to apply it

as the forum schema owner

set define off
@forum_display.plb

Then

 insert into t_forum_lang_text values (t_languages_seq.nextval,'Home');
  insert into t_forum_lang values (807,'us',t_languages_seq.currval);

This will add a new translation for the item 807, if you want to change the displayed value you will be able to do it from the language editor

Let me know if this fix your issue
~0001507
Dar (reporter)


I have run the insert and now have that as option in language editor but it has not made a change to the page title.
~0001508
administrator (administrator)


did you download the forum_display.plb file and apply it?
~0001509
Dar (reporter)


download from where?
~0001510
administrator (administrator)


from the link under your image

http://www.sylohe.com/bugs/file_download.php?file_id=197&type=bug
~0001513
Dar (reporter)


When running I got the following:

SQL> set define off
SQL> @forum_display.plb

Package body created.

SP2-0042: unknown command "
" - rest of line ignored.
SP2-0734: unknown command beginning "Fatal e..." - rest of line ignored.
~0001514
Dar (reporter)


*
ERROR at line 1:
ORA-08002: sequence T_LANGUAGES_SEQ.CURRVAL is not yet defined in this session
~0001515
Dar (reporter)


I received your email, on the second insert command I received the following error:

insert into t_forum_lang values (807,'us',t_languages_seq.currval)
*
ERROR at line 1:
ORA-00001: unique constraint (FORUM.T_FORUM_LANG_PK) violated
~0001516
administrator (administrator)


You told me in the note http://www.sylohe.com/bugs/view.php?id=632#c1507 that you already have execute the 2 inserts. So you do not have to apply them again.

If you apply the forum_display.plb that i have sent you by email, you should see the page title change.
~0001517
Dar (reporter)


Success!!!
~0001518
administrator (administrator)


great can i close it?

- Issue History
Date Modified Username Field Change
2009-11-16 17:26 Dar New Issue
2009-11-16 17:26 Dar File Added: ACS Discussion Forums Forums.ppt
2009-11-16 20:42 administrator Status new => assigned
2009-11-16 20:42 administrator Assigned To => administrator
2009-11-16 20:49 administrator Note Added: 0001496
2009-12-08 17:28 Dar File Added: forumerrorpic.jpg
2009-12-08 17:29 Dar Note Added: 0001503
2009-12-09 10:12 administrator File Added: forum_display.plb
2009-12-09 10:13 administrator Note Added: 0001504
2009-12-09 16:43 Dar Note Added: 0001507
2009-12-09 16:45 administrator Note Added: 0001508
2009-12-09 19:37 Dar Note Added: 0001509
2009-12-09 21:11 administrator Note Added: 0001510
2009-12-10 17:38 Dar Note Added: 0001513
2009-12-10 17:39 Dar Note Added: 0001514
2009-12-10 21:11 Dar Note Added: 0001515
2009-12-11 10:38 administrator Note Added: 0001516
2009-12-11 15:47 Dar Note Added: 0001517
2009-12-11 15:48 administrator Note Added: 0001518
2009-12-18 14:35 administrator Status assigned => resolved
2009-12-18 14:35 administrator Fixed in Version => 0.7.2
2009-12-18 14:35 administrator Resolution open => fixed